
public class Class515_Sub1_Sub4_Sub3 extends Class515_Sub1_Sub4 {

   int anInt10683 = 0;
   int anInt10684 = 0;
   Class477 aClass477_10685;
   Class528 aClass528_10686;
   boolean aBool10687 = true;
   int anInt10688;
   int anInt10689 = 0;


   boolean method13391(Class545 var1, int var2, int var3, int var4) {
      return false;
   }

   boolean method13394(byte var1) {
      return false;
   }

   boolean method13451(byte var1) {
      return this.aBool10687;
   }

   void method16555(Class545 var1, Class568 var2, Class328 var3) {
      var2.method12075(var3);
      Class80[] var4 = var2.method12076();
      Class166[] var5 = var2.method12077();
      if((null == this.aClass528_10686 || this.aClass528_10686.aBool7186) && (null != var4 || var5 != null)) {
         this.aClass528_10686 = Class528.method11121(-1255739433 * client.anInt7659, true);
      }

      if(this.aClass528_10686 != null) {
         this.aClass528_10686.method11152(var1, (long)(-1255739433 * client.anInt7659), var4, var5, false);
         this.aClass528_10686.method11114(this.aByte8443, this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426);
      }

   }

   public int method16556(int var1) {
      return this.anInt10683 * -1677702889;
   }

   public Class571 method13400(Class545 var1, int var2) {
      return null;
   }

   public final void method16557(int var1, int var2) {
      if(this.aClass477_10685 != null && !this.aClass477_10685.method7987(1803382239)) {
         this.aClass477_10685.method7991(var1, (byte)0);
      }

   }

   public final boolean method16558(int var1) {
      return null != this.aClass477_10685 && !this.aClass477_10685.method7992(-1269421011);
   }

   public final boolean method16559(byte var1) {
      return null == this.aClass477_10685 || this.aClass477_10685.method7987(1971220610);
   }

   public int method13415() {
      return this.anInt10689 * 752195605;
   }

   final void method13396(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6) {
      throw new IllegalStateException();
   }

   void method13402(Class545 var1, int var2) {
      Class568 var3 = this.method16564(var1, 0, 2081452209 * this.anInt10688, -1418420420);
      if(var3 != null) {
         if(var2 <= 631412612) {
            ;
         }

         this.method16560(var1, var3, this.method10915(), 574685253);
      }

   }

   void method16560(Class545 var1, Class568 var2, Class328 var3, int var4) {
      var2.method12075(var3);
      Class80[] var5 = var2.method12076();
      Class166[] var6 = var2.method12077();
      if((null == this.aClass528_10686 || this.aClass528_10686.aBool7186) && (null != var5 || var6 != null)) {
         this.aClass528_10686 = Class528.method11121(-1255739433 * client.anInt7659, true);
      }

      if(this.aClass528_10686 != null) {
         this.aClass528_10686.method11152(var1, (long)(-1255739433 * client.anInt7659), var5, var6, false);
         this.aClass528_10686.method11114(this.aByte8443, this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426);
      }

   }

   public void method16561(byte var1) {
      if(null != this.aClass528_10686) {
         if(var1 >= 1) {
            ;
         }

         this.aClass528_10686.method11110();
      }

   }

   final boolean method13427() {
      return false;
   }

   final boolean method13423(byte var1) {
      return false;
   }

   final void method13424(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6, int var7) {
      throw new IllegalStateException();
   }

   final void method13397(int var1) {
      throw new IllegalStateException();
   }

   final boolean method13447() {
      return false;
   }

   boolean method13409() {
      return false;
   }

   public final boolean method16562() {
      return null != this.aClass477_10685 && !this.aClass477_10685.method7992(-1269421011);
   }

   Class579 method13398(Class545 var1, byte var2) {
      Class568 var3 = this.method16564(var1, 2048 | (0 != 864014945 * this.anInt10684?5:0), 2081452209 * this.anInt10688, 1918476445);
      if(var3 == null) {
         return null;
      } else {
         if(864014945 * this.anInt10684 != 0) {
            var3.f(this.anInt10684 * -23918592);
         }

         Class328 var4 = this.method10915();
         this.method16560(var1, var3, var4, 126877525);
         Class579 var5 = Class212.method3640(false, (byte)-74);
         var3.method12069(var4, this.aClass89Array8446[0], 0);
         if(this.aClass528_10686 != null) {
            Class97 var6 = this.aClass528_10686.method11119();
            var1.method11711(var6);
         }

         this.aBool10687 = var3.i();
         this.anInt10689 = var3.YA() * -1828358339;
         var3.n();
         return var5;
      }
   }

   boolean method13393() {
      return this.aBool10687;
   }

   boolean method13426() {
      return false;
   }

   public int method13414() {
      return this.anInt10689 * 752195605;
   }

   void method16563(Class545 var1, Class568 var2, Class328 var3) {
      var2.method12075(var3);
      Class80[] var4 = var2.method12076();
      Class166[] var5 = var2.method12077();
      if((null == this.aClass528_10686 || this.aClass528_10686.aBool7186) && (null != var4 || var5 != null)) {
         this.aClass528_10686 = Class528.method11121(-1255739433 * client.anInt7659, true);
      }

      if(this.aClass528_10686 != null) {
         this.aClass528_10686.method11152(var1, (long)(-1255739433 * client.anInt7659), var4, var5, false);
         this.aClass528_10686.method11114(this.aByte8443, this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426);
      }

   }

   boolean method13431() {
      return this.aBool10687;
   }

   Class579 method13419(Class545 var1) {
      Class568 var2 = this.method16564(var1, 2048 | (0 != 864014945 * this.anInt10684?5:0), 2081452209 * this.anInt10688, 1757759487);
      if(var2 == null) {
         return null;
      } else {
         if(864014945 * this.anInt10684 != 0) {
            var2.f(this.anInt10684 * -23918592);
         }

         Class328 var3 = this.method10915();
         this.method16560(var1, var2, var3, 1754864448);
         Class579 var4 = Class212.method3640(false, (byte)-60);
         var2.method12069(var3, this.aClass89Array8446[0], 0);
         if(this.aClass528_10686 != null) {
            Class97 var5 = this.aClass528_10686.method11119();
            var1.method11711(var5);
         }

         this.aBool10687 = var2.i();
         this.anInt10689 = var2.YA() * -1828358339;
         var2.n();
         return var4;
      }
   }

   boolean method13410() {
      return this.aBool10687;
   }

   void method13421(Class545 var1) {
      Class568 var2 = this.method16564(var1, 0, 2081452209 * this.anInt10688, 2038119862);
      if(var2 != null) {
         this.method16560(var1, var2, this.method10915(), 1825496731);
      }

   }

   void method13422(Class545 var1) {
      Class568 var2 = this.method16564(var1, 0, 2081452209 * this.anInt10688, -1665166876);
      if(var2 != null) {
         this.method16560(var1, var2, this.method10915(), -927615069);
      }

   }

   void method13432(Class545 var1) {
      Class568 var2 = this.method16564(var1, 0, 2081452209 * this.anInt10688, 2050804591);
      if(var2 != null) {
         this.method16560(var1, var2, this.method10915(), 1397244598);
      }

   }

   boolean method13452(Class545 var1, int var2, int var3) {
      return false;
   }

   public int method13404(byte var1) {
      return this.anInt10689 * 752195605;
   }

   final boolean method13449() {
      return false;
   }

   Class568 method16564(Class545 var1, int var2, int var3, int var4) {
      Class497 var5 = Class515_Sub1_Sub4_Sub4.aClass498_10793.method8330(var3, 992469779);
      Class400 var6 = this.aClass241_8441.aClass400Array2867[this.aByte8443];
      Class400 var7 = this.aByte8444 < 3?this.aClass241_8441.aClass400Array2867[1 + this.aByte8444]:null;
      Class326 var8 = this.method10913().aClass326_4031;
      return null != this.aClass477_10685 && !this.aClass477_10685.method7987(977799959)?var5.method8310(var1, var2, true, var6, var7, (int)var8.aFloat4036, (int)var8.aFloat4037, (int)var8.aFloat4033, this.aClass477_10685, (byte)2, (byte)-120):var5.method8310(var1, var2, true, var6, var7, (int)var8.aFloat4036, (int)var8.aFloat4037, (int)var8.aFloat4033, (Class477)null, (byte)2, (byte)38);
   }

   public Class571 method13416(Class545 var1) {
      return null;
   }

   final void method13429() {
      throw new IllegalStateException();
   }

   final void method13430() {
      throw new IllegalStateException();
   }

   final void method13395(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6) {
      throw new IllegalStateException();
   }

   boolean method13411() {
      return this.aBool10687;
   }

   public int method16565() {
      return this.anInt10683 * -1677702889;
   }

   public final void method16566(int var1) {
      if(this.aClass477_10685 != null && !this.aClass477_10685.method7987(1101002459)) {
         this.aClass477_10685.method7991(var1, (byte)0);
      }

   }

   public final boolean method16567() {
      return null != this.aClass477_10685 && !this.aClass477_10685.method7992(-1269421011);
   }

   public Class515_Sub1_Sub4_Sub3(Class241 var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10, int var11, int var12, int var13, boolean var14, int var15) {
      super(var1, var4, var5, var6, var7, var8, var9, var10, var11, var12, false, (byte)0);
      this.anInt10688 = 820500561 * var2;
      this.anInt10684 = var13 * -561229407;
      this.anInt10683 = var15 * 1598127783;
      Class497 var16 = Class515_Sub1_Sub4_Sub4.aClass498_10793.method8330(2081452209 * this.anInt10688, 1793929002);
      int var17 = -1141556775 * var16.anInt5923;
      if(-1 != var17) {
         this.aClass477_10685 = new Class477_Sub2(this, false);
         int var18 = var16.aBool5935?0:2;
         if(var14) {
            var18 = 1;
         }

         this.aClass477_10685.method7978(var17, var3, var18, false, -1231779475);
      }

      this.method13408(1, -867096999);
   }

   public final boolean method16568() {
      return null != this.aClass477_10685 && !this.aClass477_10685.method7992(-1269421011);
   }

   public final boolean method16569() {
      return null != this.aClass477_10685 && !this.aClass477_10685.method7992(-1269421011);
   }

   public final boolean method16570() {
      return null == this.aClass477_10685 || this.aClass477_10685.method7987(1433259466);
   }

   public final boolean method16571() {
      return null == this.aClass477_10685 || this.aClass477_10685.method7987(849266901);
   }

   public final boolean method16572() {
      return null == this.aClass477_10685 || this.aClass477_10685.method7987(1602790326);
   }

   public final boolean method16573() {
      return null == this.aClass477_10685 || this.aClass477_10685.method7987(1943573304);
   }

   Class568 method16574(Class545 var1, int var2, int var3) {
      Class497 var4 = Class515_Sub1_Sub4_Sub4.aClass498_10793.method8330(var3, 1011944119);
      Class400 var5 = this.aClass241_8441.aClass400Array2867[this.aByte8443];
      Class400 var6 = this.aByte8444 < 3?this.aClass241_8441.aClass400Array2867[1 + this.aByte8444]:null;
      Class326 var7 = this.method10913().aClass326_4031;
      return null != this.aClass477_10685 && !this.aClass477_10685.method7987(501724783)?var4.method8310(var1, var2, true, var5, var6, (int)var7.aFloat4036, (int)var7.aFloat4037, (int)var7.aFloat4033, this.aClass477_10685, (byte)2, (byte)-21):var4.method8310(var1, var2, true, var5, var6, (int)var7.aFloat4036, (int)var7.aFloat4037, (int)var7.aFloat4033, (Class477)null, (byte)2, (byte)13);
   }

   void method16575(Class545 var1, Class568 var2, Class328 var3) {
      var2.method12075(var3);
      Class80[] var4 = var2.method12076();
      Class166[] var5 = var2.method12077();
      if((null == this.aClass528_10686 || this.aClass528_10686.aBool7186) && (null != var4 || var5 != null)) {
         this.aClass528_10686 = Class528.method11121(-1255739433 * client.anInt7659, true);
      }

      if(this.aClass528_10686 != null) {
         this.aClass528_10686.method11152(var1, (long)(-1255739433 * client.anInt7659), var4, var5, false);
         this.aClass528_10686.method11114(this.aByte8443, this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426);
      }

   }

   final void method13407() {
      throw new IllegalStateException();
   }

   public void method16576() {
      if(null != this.aClass528_10686) {
         this.aClass528_10686.method11110();
      }

   }

   void method16577(Class545 var1, Class568 var2, Class328 var3) {
      var2.method12075(var3);
      Class80[] var4 = var2.method12076();
      Class166[] var5 = var2.method12077();
      if((null == this.aClass528_10686 || this.aClass528_10686.aBool7186) && (null != var4 || var5 != null)) {
         this.aClass528_10686 = Class528.method11121(-1255739433 * client.anInt7659, true);
      }

      if(this.aClass528_10686 != null) {
         this.aClass528_10686.method11152(var1, (long)(-1255739433 * client.anInt7659), var4, var5, false);
         this.aClass528_10686.method11114(this.aByte8443, this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426);
      }

   }

   public void method16578() {
      if(null != this.aClass528_10686) {
         this.aClass528_10686.method11110();
      }

   }

   void method13412(Class545 var1) {
      Class568 var2 = this.method16564(var1, 0, 2081452209 * this.anInt10688, 1737728996);
      if(var2 != null) {
         this.method16560(var1, var2, this.method10915(), -997153500);
      }

   }
}
